import javax.swing.*;
import java.awt.*;

public class ChatArea extends JTextArea {
    private static final int ROWS = 20 , COLUMNS = 40;

    public ChatArea()
    {
        super(ROWS, COLUMNS);
        this.setEditable(false);
        this.setLineWrap(true);
        setVisible(true);
        this.setBackground(Color.cyan);
    }

    public void addMessage(String username,String message)
    {
        this.append(username+": "+message+"\n");
    }
}